%define _requires_exceptions libstlport_gcc.so

Name:           libreoffice-voikko
Version:        3.3
Release:        %mkrel 2
Summary:        Finnish spellchecker and hyphenator extension for LibreOffice
Group:          Office/Dictionary
License:        GPLv3+
URL:            http://voikko.sourceforge.net/
# The usual format of stable release URLs
Source0:        http://downloads.sourceforge.net/voikko/%{name}-%{version}.tar.gz
# The usual format of test release URLs
#Source0:        http://www.puimula.org/htp/testing/%{name}-%{version}rc2.tar.gz

BuildRequires:    libreoffice-sdk >= 3.2.99
BuildRequires:    libvoikko-devel >= 3.0
Requires:         libreoffice-core >= 3.2.99
# Rpmbuild only detects libvoikko.so.1 automatically, which is
# too general for openoffice.org-voikko.
Requires:         libvoikko >= 3.0
Requires:	locales-fi
Obsoletes:	openoffice.org-voikko < 3.3

%define libo %{_libdir}/libreoffice
%define libo_sdk %{libo}/sdk
# The location of the installed extension. Apparently the directory name must
# end with .uno.pkg or unopkg will fail.
%define voikkoext %{libo}/share/extensions/voikko.uno.pkg

%description
This package contains a Finnish spell-checking and hyphenation component for
LibreOffice. The actual spell-checking and hyphenation functionality is
provided by the Voikko library.


%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
. %{libo_sdk}/setsdkenv_unix.sh
# offapi.rdb path seems to be wrongly set in libreoffice-sdk
%make OPT_FLAGS="%optflags" OFFICE_TYPES=%{libo}/program/types/offapi.rdb

%install
rm -rf $RPM_BUILD_ROOT
. %{libo_sdk}/setsdkenv_unix.sh
%make install-unpacked DESTDIR=%{buildroot}%{voikkoext} OPT_FLAGS="%optflags"
# Set the library executable so debuginfo can be extracted.
chmod +x %{buildroot}%{voikkoext}/voikko.so


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{voikkoext}
%doc ChangeLog COPYING README




%changelog

* Sat Jan 19 2013 fwang <fwang> 3.3-2.mga3
+ Revision: 389700
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 12 2012 anssi <anssi> 3.3-1.mga2
+ Revision: 208173
- new version 3.3
- fix build with current libreoffice-sdk
- bump libvoikko requires

* Fri Apr 22 2011 anssi <anssi> 3.2-5.mga1
+ Revision: 89836
- readd requires on locales-fi
- use non-version-dependant libO sdk directory (fixes build)
- drop relying on implicit build in rpm install section

* Sun Apr 17 2011 anssi <anssi> 3.2-4.mga1
+ Revision: 87309
- add obsoletes for openoffice.org-voikko

* Sun Apr 17 2011 blino <blino> 3.2-3.mga1
+ Revision: 86856
- do not require unprovided libstlport_gcc.so (this could fixed by providing it in libreoffice-ure)

* Tue Mar 29 2011 mikala <mikala> 3.2-2.mga1
+ Revision: 78670
- Use %%buildroot instead of RPM_BUILD_ROOT
- use %%make

  + dmorgan <dmorgan>
    - imported package libreoffice-voikko

